Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.provider.md
Class RIPEMD160

    java.lang.Object
      |
      +--java.security.MessageDigestSpi
            |
            +--java.security.MessageDigest
                  |
                  +--cryptix.provider.md.RIPEMD160

public class RIPEMD160
extends java.security.MessageDigest
implements java.lang.Cloneable

Implements the RIPEMD160 message digest algorithm in Java as per the reference below.

References:

1. Hans Dobbertin, Antoon Bosselaers and Bart Preneel, "RIPEMD160: A Strengthened Version of RIPEMD," 18 April 1996. A joint publication by the German Information Security Agency (POB 20 03 63, D-53133 Bonn, Germany) and the Katholieke Universiteit Leuven, ESAT-COSIC (K. Mercierlaan 94, B-3001 Heverlee, Belgium).

Copyright © 1997 Systemics Ltd on behalf of the Cryptix Development Team.
All rights reserved.

$Revision: 1.4 $

Since:
  Cryptix 2.2.2
Author:
  Raif S. Naffah, David Hopwood

Constructor Summary
`RIPEMD160()`

Method Summary
`java.lang.Object` | `clone()` Return a copy of this MD object.
`protected byte[]` | `engineDigest()` Complete the hash computation by performing final operations such as padding.
`protected int` | `engineGetDigestLength()` SPI: Returns the digest length in bytes.
`protected void` | `engineReset()` Resets this object disregarding any temporary data present at the time of the invocation of this call.
`protected void` | `engineUpdate(byte input)` Continue a RIPEMD160 message digest using the input byte.
`void` | `engineUpdate(byte[] input, int offset, int len)` RIPEMD160 block update operation.
`static LinkStatus` | `getLinkStatus()`

Methods inherited from class java.security.MessageDigest
`digest, digest, digest, getAlgorithm, getDigestLength, getInstance, getInstance, getProvider, isEqual, reset, toString, update, update, update`

Methods inherited from class java.security.MessageDigestSpi
`engineDigest`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RIPEMD160

    public RIPEMD160()

Method Detail

### getLinkStatus

    public static LinkStatus getLinkStatus()

### clone

    public java.lang.Object clone()

  Return a copy of this MD object.
  Overrides:
    clone in class java.security.MessageDigest

### engineReset

    protected void engineReset()

  Resets this object disregarding any temporary data present at the time of the invocation of this call.
  Overrides:
    engineReset in class java.security.MessageDigestSpi

### engineUpdate

    protected void engineUpdate(byte input)

  Continue a RIPEMD160 message digest using the input byte.
  Overrides:
    engineUpdate in class java.security.MessageDigestSpi

### engineUpdate

    public void engineUpdate(byte[] input,
                             int offset,
                             int len)

  RIPEMD160 block update operation.

  Continue a RIPEMD160 message digest operation, by filling the buffer, transform(ing) data in 512-bit message block(s), updating the variables context and count, and leaving (buffering) the remaining bytes in buffer for the next update or finish.

  Overrides:
    engineUpdate in class java.security.MessageDigestSpi
  Parameters:
    `input` - input block
    `offset` - start of meaningful bytes in input
    `len` - count of bytes in input block to consider

### engineDigest

    protected byte[] engineDigest()

  Complete the hash computation by performing final operations such as padding. At the return of this engineDigest, the MD engine is reset.
  Overrides:
    engineDigest in class java.security.MessageDigestSpi
  Returns:
    the array of bytes for the resulting hash value.

### engineGetDigestLength

    protected int engineGetDigestLength()

  SPI: Returns the digest length in bytes.
  Overrides:
    engineGetDigestLength in class java.security.MessageDigestSpi

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix V3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1995-2000 The Cryptix Foundation Ltd. All rights reserved.